Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ocsp
Class OCSPRequest

    java.lang.Object
      |
      +--org.bouncycastle.asn1.ASN1Encodable
            |
            +--org.bouncycastle.asn1.ocsp.OCSPRequest

All Implemented Interfaces:
  DEREncodable

public class OCSPRequest
extends ASN1Encodable

Constructor Summary
`OCSPRequest(ASN1Sequence seq)`
`OCSPRequest(TBSRequest tbsRequest, Signature optionalSignature)`

Method Summary
`static OCSPRequest` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static OCSPRequest` | `getInstance(java.lang.Object obj)`
`Signature` | `getOptionalSignature()`
`TBSRequest` | `getTbsRequest()`
`DERObject` | `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDERObject, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OCSPRequest

    public OCSPRequest(TBSRequest tbsRequest,
                       Signature optionalSignature)

### OCSPRequest

    public OCSPRequest(ASN1Sequence seq)

Method Detail

### getInstance

    public static OCSPRequest getInstance(ASN1TaggedObject obj,
                                          boolean explicit)

### getInstance

    public static OCSPRequest getInstance(java.lang.Object obj)

### getTbsRequest

    public TBSRequest getTbsRequest()

### getOptionalSignature

    public Signature getOptionalSignature()

### toASN1Object

    public DERObject toASN1Object()

  Produce an object suitable for an ASN1OutputStream.

       OCSPRequest     ::=     SEQUENCE {
           tbsRequest                  TBSRequest,
           optionalSignature   [0]     EXPLICIT Signature OPTIONAL }

  Overrides:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD